Skip to main content
PATCH
/
api
/
pricing
/
proposals
/
{key}
/
match-override
Override Proposal Match Status
curl --request PATCH \
  --url https://api.merchantops.ai/api/pricing/proposals/{key}/match-override \
  --header 'Content-Type: application/json' \
  --data '
{
  "match_status_override": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Body

application/json

Request body for overriding the match status on a proposal.

match_status_override
string | null

Override value: matched, not_carried, unsure, or null to clear

Response

Successful Response